View a markdown version of this page

ListUsersIndexCapacity - Amazon Quick

ListUsersIndexCapacity

Lists per-user index capacity consumption for an account.

Request Syntax

POST /accounts/awsAccountId/quick-index/user-capacity HTTP/1.1 Content-type: application/json { "filters": [ { ... } ], "maxResults": number, "namespace": "string", "nextToken": "string", "sortBy": "string", "sortOrder": "string" }

URI Request Parameters

The request uses the following URI parameters.

awsAccountId

The ID of the AWS account that contains the index capacity data.

Length Constraints: Fixed length of 12.

Pattern: ^[0-9]{12}$

Required: Yes

Request Body

The request accepts the following data in JSON format.

filters

Filters to apply. Only one filter is supported per request. The userNameOrEmail and totalCapacityBytes filters are mutually exclusive.

Type: Array of UserIndexCapacityFilter objects

Required: No

maxResults

The maximum number of results to return per page.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 100.

Required: No

namespace

The namespace to scope the user search to. Required when the userNameOrEmail filter is present.

Type: String

Length Constraints: Maximum length of 64.

Pattern: ^[a-zA-Z0-9._-]*$

Required: No

nextToken

The token for the next set of results, received from a previous call.

Type: String

Required: No

sortBy

The field to sort results by.

Type: String

Valid Values: TOTAL_CAPACITY_BYTES

Required: No

sortOrder

The sort order for results. Defaults to DESC if not specified.

Type: String

Valid Values: ASC | DESC

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "requestId": "string", "users": [ { "email": "string", "kbCount": number, "role": "string", "spaceCount": number, "totalCapacityBytes": number, "totalKBCapacityBytes": number, "totalSpaceCapacityBytes": number, "userArn": "string", "userName": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The token for the next set of results, or null if there are no more results.

Type: String

requestId

The AWS request ID for this operation.

Type: String

users

The list of users with their index capacity metrics.

Type: Array of UserIndexCapacity objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.

RequestId

The AWS request ID for this request.

HTTP Status Code: 401

InternalFailureException

An internal failure occurred.

RequestId

The AWS request ID for this request.

HTTP Status Code: 500

InvalidRequestException

You don't have this feature activated for your account. To fix this issue, contact AWS support.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

PreconditionNotMetException

One or more preconditions aren't met.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

ResourceNotFoundException

One or more resources can't be found.

RequestId

The AWS request ID for this request.

ResourceType

The resource type for this request.

HTTP Status Code: 404

ThrottlingException

Access is throttled.

RequestId

The AWS request ID for this request.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: